Unix Timestamp Converter Free

Converts a Unix timestamp to a date, or a date to a timestamp — it detects automatically which one you entered.

Digits only are read as a Unix timestamp (13 or more digits is treated as milliseconds). Anything else is read as a date. Leave it blank to use the current time.

Optional: add or subtract (negative numbers allowed)

Timezone to display

About this tool

Accepts a wide range of date formats, and treats a number of 13 digits or more as a millisecond timestamp.

You can show the result in your local time zone or in UTC, and it also shows the date in formats such as ATOM, RFC822 and RFC1123.

An optional add/subtract section lets you add or subtract years, months, days, hours, minutes or seconds (negative numbers allowed) to find a date like "3 days from now".

This tool runs entirely in your browser. Nothing you enter is sent to our server.

When to use it

Useful for debugging a timestamp from an API response or a log file, or checking what date a Unix timestamp such as 1700000000 corresponds to.

Date formats shown

Besides a US month/day/year format and a hyphen-separated format, the result is shown in widely used formats including ATOM/RFC3339/W3C, RFC850, ISO8601 and RFC822/RFC1123/RSS.

FAQ

Which time zone is used?
By default, the time zone set on your device. Choose UTC under "Timezone to display" to see the same moment in UTC. The two are not shown side by side.
When would I use the add/subtract fields?
Use them to find a date such as "3 days from now" or "2 hours ago". Enter a positive or negative number in the year, month, day, hour, minute or second field, and the resulting date is calculated.
Can it convert a millisecond timestamp (13 digits)?
Yes. A number of 13 or more digits is read as milliseconds, so you can paste a value from JavaScript's Date.now() or from a log file directly.
How do I copy just the date or the timestamp?
Press "Copy" at the right of the row for that value.